Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156742 - function guess fails when making changelog entry in static code block
Summary: function guess fails when making changelog entry in static code block
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-changelog
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kyu Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-03 20:00 UTC by Jeff Pound
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 15:39:45 UTC


Attachments (Terms of Use)

Description Jeff Pound 2005-05-03 20:00:12 UTC
Description of problem:
when making a changelog entry in a "static { ... }" code block, nothing is
pre-insterted into the changelog entry except a blank line

Version-Release number of selected component (if applicable):
eclipse-changelog-2.0.1_fc-19

How reproducible:
always

Steps to Reproduce:
1.make a changelog entry in a static code block.

  
Actual results:
no pre generated changelog information is inserted.

Expected results:
the file being modified should be inserted into the changelog the same way it
would if your modification happened in a function.


example code:

public class Foo {
  private static HashMap fooMap;

  static {
    fooMap = new HashMap();
    fooMap.put("foo", "bar");
  }

  public Foo() {

  }
}

Comment 1 Tom Tromey 2006-02-07 18:45:08 UTC
I don't think the GNU rules cover what should appear in this
case, but I would suggest that the "function" be named
"static initializer".


Comment 2 Kyu Lee 2007-03-27 15:39:45 UTC
Moved to eclipse.org bugzilla:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=179549


Note You need to log in before you can comment on or make changes to this bug.